# PCGalerkinSetRestriction

Sets the restriction operator for the "Galerkin-type" preconditioner

### Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCGalerkinSetRestriction(PC pc,Mat R)

Collective on PC

### Input Parameter

| pc | - the preconditioner context
| R | - the restriction operator

Notes: Either this or PCGalerkinSetInterpolation() or both must be called

### Keywords

PC, set, Galerkin preconditioner

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PCGALERKIN,
PCGalerkinSetInterpolation(), PCGalerkinGetKSP()

Level:Intermediate
Location:src/ksp/pc/impls/galerkin/galerkin.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages